## org.hibernate.testing.junit4
Class InvalidMethodForAnnotationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.testing.junit4.InvalidMethodForAnnotationException

All Implemented Interfaces:
  Serializable

    public class InvalidMethodForAnnotationException

extends RuntimeException

Indicates that an annotations was attached to a method incorrectly.

See Also:
  Serialized Form

Constructor Summary
`InvalidMethodForAnnotationException(String message)`
`InvalidMethodForAnnotationException(String message, Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidMethodForAnnotationException

    public InvalidMethodForAnnotationException(String message)

### InvalidMethodForAnnotationException

    public InvalidMethodForAnnotationException(String message,
                                               Throwable cause)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.